const sqlite3 = require('sqlite3').verbose();
const fs = require('fs');

// Récupérer le schéma SQL
const schema = fs.readFileSync('/app/schema.sql', 'utf8');

// Créer la base de données
const db = new sqlite3.Database('/app/data/framed.db', (err) => {
  if (err) {
    console.error('Erreur lors de la création de la base de données:', err.message);
    process.exit(1);
  }
  console.log('Base de données créée.');
  
  // Activer les clés étrangères
  db.run('PRAGMA foreign_keys = ON');
  
  // Exécuter le schéma SQL
  db.exec(schema, (err) => {
    if (err) {
      console.error('Erreur lors de l\'initialisation de la base de données:', err.message);
      process.exit(1);
    }
    console.log('Base de données initialisée avec succès.');
    db.close();
  });
});
